=head1 NAME


XXV::MODULES::USER



=head1 SYNOPSIS

  
  use XXV::MODULES::USER
  my  = XXV::MODULES::USER->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );



=head1 VERSION

0.45 - 04.09.2005

=head1 DESCRIPTION

Dieses Modul verwaltet die Useradministration.
Zum Nutzen kann ein Level für das ganze Modul, mit
dem Parameter 'Level' in der Hauptmodul gesetzt werden
oder es wird der selbe Parameter für jede Funktion gesetzt.

=head1 CONFIGURATION

=over 4



=item 1 active

Aktiviert die Anwenderauthentifizierung

=over 4

=item * default: y

=item * type: confirm

=item * required: No

=back



=item 2 noAuth

IP Adressen ohne Benutzer-Authentifizierung

=over 4

=item * default: 

=item * type: string

=item * required: No

=back



=item 3 tempimages

Gemeinsames Verzeichnis für temporäre Bilder

=over 4

=item * default: /var/cache/xxv/temp

=item * type: dir

=item * required: Yes

=back



=item 4 withAuth

IP Adressen mit Benutzer-Authentifizierung

=over 4

=item * default: 

=item * type: string

=item * required: No

=back



=back

=head1 COMMANDS

=over 4



=item *  udelete (ud)

Lösche eine Anwenderzugang 'uid'



=item *  uedit (ue)

Bearbeiten eine Anwenderzugang 'uid'



=item *  ulist (ul)

Zeigt alle Anwenderzugänge 'uid'



=item *  unew (un)

Erzeugt einen neuen Anwenderzugang



=item *  uprefs (up)

Die eigenen Einstellungen verändern



=back

=head1 REQUIREMENTS

=over 4



=item *  Net::IP::Match::Regexp qw( create_iprange_regexp match_ip )

Efficiently match IPv4 addresses against IPv4 ranges via regexp 



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
